.btn-outline-primary {
    border-color: rgb(255, 255, 255);
}

.btn-xl {
    padding: 5vw 10vw;
    font-size: 30px;
    border-radius: 10px;
    width: 100%;
}

.fa-xl {
    font-size: 3em !important;
    /*size whatever you like*/
}

body {
    font-family: "Lato", "Nunito", "Segoe UI", arial;
}

/* Style untuk container pemindai */
#barcode-scanner-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.85);
    z-index: 1050; /* Pastikan di atas elemen lain */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#reader {
    width: 90%;
    max-width: 500px;
    background: white;
    border-radius: 8px;
}

#close-scanner-button {
    width: 90%;
    max-width: 500px;
}

/* Custom CSS for Mobile View */
@media (max-width: 767.98px) {
    /* Footer adjustments for mobile view */
    .main-footer {
        flex-direction: column; /* Stack items vertically */
        align-items: center; /* Center items horizontally */
        text-align: center; /* Center text within items */
        padding: 15px 10px; /* Add more padding for better spacing */
    }

    .main-footer .footer-left,
    .main-footer .footer-right {
        width: 100%; /* Make them take full width */
        margin: 0; /* Reset any default margins */
        padding: 5px 0; /* Add vertical padding */
    }

    .main-footer .footer-left {
        margin-bottom: 5px; /* Add some space between copyright and version */
    }

    /* Style untuk tombol scan agar sejajar */
    #scan-barcode-button {
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
        height: 100%; /* Memaksa tinggi tombol sama dengan input */
    }

    .input-group-append {
        /* Penting untuk membuat tinggi append sama dengan input */
        display: flex;
        align-items: stretch;
    }
}
